"""This is a helper file that contains a dictionary with all the suggested circuits
for the different types of devices. The dictionary is called suggested_circuits
"""

suggested_circuits = {"R1-CPE1": ["x", 1, 1],
                      "R1-C1": ["x", 1e-06],
                      "R1-W1": ["x", 100],
                      "R1-L1": ["x", 0.0001],
                      "p(R1,C1)": ["x", 1e-06],
                      "p(R1,L1)": ["x", 0.0001],
                      "p(R1,CPE1)": ["x", 1, 1],
                      "p(C1,R1-CPE1)": [0.0001, "x", 1, 1],
                      "p(C1,R1-W1)": [0.0001, "x", 5],
                      "R0-p(R1,C1)": ["x", "y", 0.001],
                      "R0-p(CPE1,C1)": ["x", 0.001, 1, 0.01],
                      "R0-p(R1,CPE1)": ["x", "y", 1e-09, 0.8],
                      "R0-p(R1-Wo1,CPE1)": ["x", "y", 1, 0.1, 1, 1],
                      "R0-p(R1-Wo1,C1)": ["x", "y", 1, 1, 1e-06],
                      "L1-R1-p(CPE1,R2)": [0.0002, "x", 2, 0.8, "y"],
                      "R0-p(R1-C1,C2)": ["x", "y", 0.001, 1],
                      "R0-p(R1-W1,C1)": ["x", "y", 5, 1e-05],
                      "R0-p(R1-W1,CPE1)": ["x", "y", 5, 1e-05, 0.8],
                      "R0-p(R1-CPE1,C1)": ["x", "y", 2, 0.8, 0.01],
                      "R1-p(CPE1,R2-CPE2)": ["x", 2, 0.8, "y", 0.01, 0.8],
                      "R1-p(CPE1,R2-p(CPE2,R3))": ["x", 0.05, 0.8, "y", 0.001, 0.8, "z"],
                      "R1-p(CPE1,R2-p(CPE2,p(R3,L1-R4)))": ["x", 0.05, 0.8, "y", 0.001, 0.8, "z", 1e-05, "t"],
                      "R1-p(CPE1,R2)-p(CPE2,R3-CPE3)": ["x", 0.05, 0.8, "y", 0.001, 0.8, "z", 0.001, 0.8],
                      "R1-p(CPE1,R2)-p(CPE2,R3)": ["x", 0.0001, 0.8, "y", 0.1, 0.8, "z"],
                      "R1-p(CPE1,R2)-p(CPE2,p(R3,L1-R4)": ["x", 0.05, 0.8, "y", 0.001, 0.8, "z", 1e-05, "t"],
                      "R1-p(CPE1,p(R2,L1-R3)": ["x", 0.05, 0.8, "y", 0.001, "z"],
                      "R1-p(R2,CPE1-p(CPE2,R3))": ["x", "y", 0.05, 0.8, 0.001, 0.8, "z"],
                      "R0-p(R1,CPE1)-p(R2,CPE2)-W1": ["x", "y", 0.08, 1, "z", 0.002, 0.62, 0.14],
                      "R0-p(R1,C1)-p(R2-Wo1,C2)": ["x", "y", 100, "z", 0.05, 100, 1],
                      "R0-p(R1,C1)-p(R2,C2)-Wo1": ["x", "y", 0.1, "z", 0.1, 0.001, 1],
                      "p(C1,R1,R2-C2,R3-C3)": [1e-06, "x", "y", 0.0001, "z", 0.01],
                      "p(C1,R1)-p(R2,C2)": [1e-05, "x", "y", 0.01],
                      "p(C1,R1)-p(R2,C2)-p(R3,C3)": [1e-05, "x", "y", 0.001, "z", 0.1],
                      "R1-p(R2,CPE1)-p(R3,CPE2)": ["x", "y", 0.05, 0.8, "z", 0.001, 0.8],
                      "p(R1,C1)-p(R2,C2)-C3": ["x", 0.0001, "y", 0.01, 1],
                      "p(CPE1,R1-p(R2,CPE2))": [2, 0.8, "x", "y", 1.5, 0.9]}
